UNIT TestUnit1;

INTERFACE

TYPE
    Wood  = (Oak, Pine, Beech, Teak);
    Fruit = (Apples, Peaches, Lemons);

CONST
    Oranges = Teak;

PROCEDURE CheckFruit ( FruitType : Fruit );

IMPLEMENTATION

PROCEDURE CheckFruit ( FruitType : Fruit );
BEGIN
CASE FruitType OF
  Apples  : Writeln ('OK');
  Peaches : Writeln ('Peaches');
  Lemons  : Writeln ('Lemons');
  OTHERWISE Writeln ('failed');
  END;
END;
END.
